import { HtmlTextParser } from './../ctrls/HtmlTextParser';
import Panel from "../views/Panel";
import { NetManager } from "../../libs/tw/manager/NetManager";
import { DataManager } from "../../libs/tw/manager/DataManager";
export default class RulePanel extends Panel {
    public ruleGroup:eui.Group;
    public ruleLb:eui.Label;
    private pdata;

    public get skinKey() { return 'RulePanel' }
    public get groupName() { return 'rule_panel' }

    constructor(data: any) {
        super(data);
        this.pdata = data;
    }

    onSkinComplete(): void {
        super.onSkinComplete();

        this.once(egret.Event.ADDED_TO_STAGE, this.onLoad, this);
        if (this.stage) {
            this.onLoad();
        }
        this.showAct();
    }

    start(): void {
        this.percentHeight = 100;
    }

    initEvents(): void {
        super.initEvents();
    }

    removeEvents(): void {
        super.removeEvents();
    }

    onTouchTap():void{
        super.onTouchTap();
        if(this.pdata && this.pdata.callback){
            this.pdata.callback();
        }
    }

    private onLoad():void{
        // NetManager.ins.getRule(function(success){

        //     if(success){
        //         //使用 HtmlTextParser 解析html文本
        //         this.ruleLb.textFlow = new HtmlTextParser().parse(DataManager.ins.getRuleData.ruleText);
        //     }else{
        //         this.ruleLb.text = '规则'
        //     }
        // }.bind(this));

        // this.ruleLb.textColor = 0x2c2a29;
        // this.ruleLb.stroke = 0;
        // this.ruleLb.textFlow = new HtmlTextParser().parse(DataManager.ins.ajaxElementDataNew.rule);
        this.ruleLb.text =window['ruleTxt']?window['ruleText']:`活动名称：《猫咪数钱》
活动时间：2020年6月1日至2020年12月31日

获奖规则：
1.游戏结束概率中奖，奖品类型：猫咪乐园道具卡
2.排行榜发奖，每周一00：00至周日24:00计算得分，每周一10:00开奖，奖品类型： 
• 1-5名，88g猫粮
• 6-10名，48g猫粮
• 11-20名，28g猫粮
奖品说明：活动中奖奖品可直接在招财猫页面查看。

玩法介绍：
1.猫咪存钱罐中不断吐出猫猫币，用户点击向滑动猫猫币，计入财富值得分；
2.每成功滑动1张猫猫币，财富值+10分；
3.倒计时30s游戏结束，根据用户滑动得到的财富值，按单次最高分计入排行榜；
4.排行榜每周一00：00至周日24:00计算得分，每周一10:00开奖，排名前20名可获得猫粮奖励；
5.每轮游戏结束有概率获得小猫乐园道具奖品奖励；
6.每次参与需要消耗5猫粮，每日分享增加1次参与机会，当天有效。`;//'1、连续点击屏幕控制篮球跳跃，进篮得分；\n2、教程结束后倒计时开始；\n3、倒计时结束后且未得分，则游戏结束，并扣除一次游戏机会；\n4、在直播间每送出一件篮球礼物即可获得一次游戏机会；\n5、酷狗直播将对各类违反游戏规则的行为进行严厉打击；\n6、本游戏规则解释权最终归酷狗直播所有。';
        // this.ruleLb.text = '活动主题：感恩母亲节 献花赢好礼\n\n活动玩法：\n\n从3种鲜花中选择其中一种给母亲献花，每次献花扣除9积分，点击选择花束后，小女孩手捧鲜花走向母亲，献花成功后直接抽奖，概率出奖，奖品有限，快来参与吧~\n\n活动奖品：\n18积分        概率：30%\n28积分        概率：10%\n38积分        概率：3%\n88积分        概率：2%\n188积分      概率：1%\n\n活动细则：\n\n1.每个会员可使用9积分参与1次游戏，参与后积分不予退回，次数不限。\n\n2.优惠券可在全国屈臣氏实体门店，消费购物结账时，出示相关的中奖奖品券码进行核销兑换。\n\n3.结果以“活动首页-我的奖励”或在屈臣氏“会员中心-积分乐园-兑换记录”中的中奖记录为准。\n\n4.券类奖品的使用规则详见每个优惠券的介绍页。\n\n5.实物类商品请凭券码到屈臣氏门店领取。\n\n6.在本次活动期间，如用户存在任何违反法律、法规、屈臣氏活动规则的行为，包括但不限于作弊得奖、恶意套现等行为，屈臣氏有权取消用户的中奖资格，收回所发奖品，要求用户将已享受的奖品退还屈臣氏，如奖品为实体奖品且用户已拆除外包装无法进行二次销售的，屈臣氏有权按照奖品的市场价格向用户追讨。\n\n7.本次活动规则如有调整，相关变动或调整将即时公布在本活动规则页面。\n\n8.活动期内，如遇兑换异常等不确定情况出现，请在活动结束后10个工作日内致电会员服务热钱：400 830 1310（自付市内话费）。\n\n9.此活动奖品数量有限，概率出奖，先到先得，祝好运～';
    }

    
}

